【MK】【012】【TSNV】SN 42位支持
2022-12-17 13:18 - CD BSP-余霄

Status: 完成 Closed Start date: 2022-12-17

Priority: Normal Due date:

Assignee: CD BSP-余霄 % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

此票用于处理修改SN号为42位后，引起的一系列影响。

目前存在的问题：

1.Windows系统无法使用投屏

2.进入BootLoader无法获取USB端口

History

#1 - 2022-12-19 11:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170993 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TSNV: Limit the length of USB SerialNOAfter modifying the length of the SN numberto 42 digits, the bootloader cannot be used,and the USB SN length is

limited to the last 18 digitsTC-RID:  1200-0102003IssueID: TS-R-DF-114670Change-Id: I894014626ec24ac0ee3f018bd1443dc1e64ec1a9

#2 - 2022-12-19 11:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170929 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:TSNV: Limit the length of ADB SerialNOAfter modifying the length of the SN numberto 42 digits, Windows projection cannot be used,and the ADB SN

length is limited to the last 18 digitsTC-RID:  1200-0102003IssueID: TS-R-DF-114670Change-Id: Ia46216fa8bed9859733c19632423fcd2d79f89ec
#3 - 2022-12-19 14:53 - CD BSP-余霄

- Status changed from 进行中 In Progress to 完成 Closed

- % Done changed from 0 to 100

测试(刘强)已验证：

1.写入42位后，在系统中可以正常显示32位

2.window下可以正常投屏，不过投屏工具上只显示18位

3.adb devices，bootloader，fastbootd，reocvery、edl均可以正常工作，不过sn同样只显示18位

4.使用qfile烧机、擦除数据和不擦除数据烧机后，系统上SN任然是42位没有丢失，fota由于fota包这部分没有验证

#4 - 2022-12-19 14:55 - CD BSP-余霄

- File SN1.jpg added

- File SN2.jpg added

#5 - 2022-12-19 15:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170968 general/abl/tianocore/edk2 Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm-dvt1

xiao.yu@thundersoft.com

BSP:TSNV: Limit the length of USB SerialNOAfter modifying the length of the SN numberto 42 digits, the bootloader cannot be used,and the USB SN length is

limited to the last 18 digitsTC-RID:  1200-0102003IssueID: TS-R-DF-114670Change-Id: I894014626ec24ac0ee3f018bd1443dc1e64ec1a9

#6 - 2022-12-19 15:05 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

170969 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-ftm-dvt1

xiao.yu@thundersoft.com

BSP:TSNV: Limit the length of ADB SerialNOAfter modifying the length of the SN numberto 42 digits, Windows projection cannot be used,and the ADB SN

length is limited to the last 18 digitsTC-RID:  1200-0102003IssueID: TS-R-DF-114670Change-Id: Ia46216fa8bed9859733c19632423fcd2d79f89ec

Files

SN1.jpg 427 KB 2022-12-19 CD BSP-余霄

SN2.jpg 236 KB 2022-12-19 CD BSP-余霄
